Spigot 1.13 error

Discussion in 'Spigot Help' started by melongun77, Aug 4, 2018.

  1. Anyone know this problem i use the latest 1.13 build when i join my server i will be kicked from my server (internal error)


    [18:33:59 WARN]: Failed to handle packet for / net.minecraft.server.v1_13_R1.ReportedException: Loading entity NBT at net.minecraft.server.v1_13_R1.Entity.f(Entity.java:1758) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.WorldNBTStorage.load(WorldNBTStorage.java:209) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.PlayerList.a(PlayerList.java:312) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.PlayerList.a(PlayerList.java:104) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.LoginListener.b(LoginListener.java:150) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.LoginListener.Y_(LoginListener.java:54) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.NetworkManager.a(NetworkManager.java:231) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.ServerConnection.c(ServerConnection.java:120) [spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.MinecraftServer.w(MinecraftServer.java:984) [spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.DedicatedServer.w(DedicatedServer.java:411) [spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.MinecraftServer.v(MinecraftServer.java:819) [spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.MinecraftServer.run(MinecraftServer.java:717) [spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at java.lang.Thread.run(Thread.java:748) [?:1.8.0_172] Caused by: com.google.gson.JsonSyntaxException: com.google.gson.stream.MalformedJsonException: Use JsonReader.setLenient(true) to accept malformed JSON at line 1 column 1 path $ at com.google.gson.internal.Streams.parse(Streams.java:60) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at com.google.gson.internal.bind.TreeTypeAdapter.read(TreeTypeAdapter.java:65) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.ChatDeserializer.a(SourceFile:493) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.ChatDeserializer.a(SourceFile:518) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.IChatBaseComponent$ChatSerializer.a(SourceFile:286) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.Entity.f(Entity.java:1678) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] ... 12 more Caused by: com.google.gson.stream.MalformedJsonException: Use JsonReader.setLenient(true) to accept malformed JSON at line 1 column 1 path $ at com.google.gson.stream.JsonReader.syntaxError(JsonReader.java:1559) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at com.google.gson.stream.JsonReader.checkLenient(JsonReader.java:1401) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at com.google.gson.stream.JsonReader.doPeek(JsonReader.java:593) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at com.google.gson.stream.JsonReader.peek(JsonReader.java:425) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at com.google.gson.internal.Streams.parse(Streams.java:46) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at com.google.gson.internal.bind.TreeTypeAdapter.read(TreeTypeAdapter.java:65) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.ChatDeserializer.a(SourceFile:493) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.ChatDeserializer.a(SourceFile:518) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.IChatBaseComponent$ChatSerializer.a(SourceFile:286) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] at net.minecraft.server.v1_13_R1.Entity.f(Entity.java:1678) ~[spigot-1.13.jar:git-Spigot-69774b3-ec2095d] ... 12 more
     
  2. Did you go from an old world to 1.13, or a new world in 1.13?
     
  3. i think thats the problem ya
     
    • Agree Agree x 1
  4. okay thanks for your help
     
  5. do i need to update the chunks from these worlds?
     
  6. When upgrading a world from 1.12.2 to 1.13... you need to add --forceUpgrade to your startup script and run it once. It will take quite some time, depending on the size of your world, once that is done you can remove that from your startup script
     
    • Informative Informative x 1
  7. how to add --forceUpgrade ?
     
  8. just how you add -jar or nogui to the params of java
     
    • Agree Agree x 1
  9. Exactly what Mr F said.... example: java -jar spigot.jar --forceUpgrade
    That being said, dont expect miracles. Like Mr F previously sent in this post, 1.13 spigot is unstable, and you will find errors even after forcing an upgrade. There are several know bugs which is why they are suggesting to NOT use this on a production server. Every single post I have seen about production servers running 1.13 are having problems, unless you're running NO plugins, you are going to find issues.
    My team is running a 1.13 test server to test out plugins as they become available. So far we are having VERY little issues but we are also running VERY few plugins
     
  10. Okay thanks all i will try this! :D
     
    • Like Like x 1